# class SS7TCAPMessage | TCAP message wrapper. More...
Full name | `TelEngine::SS7TCAPMessage`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SS7TCAPMessage (NamedList& params, DataBlock& data, bool notice = false)
- inline NamedList& msgParams ()
- inline DataBlock& msgData ()
- inline bool& isNotice ()

## Detailed Description

A TCAP message wrapper, encapsulates the data received from SCCP

inline SS7TCAPMessage (NamedList& params, DataBlock& data, bool notice = false) | ### SS7TCAPMessage

Constructor

Parameters:

params | NamedList reference containing information from the SCCP level
data | DataBlock representing the TCAP payload
notice | Flag if this is a notification, true if it is, false if it's a message

inline NamedList& msgParams () | ### msgParams

Get the SCCP parameters

Returns: NamedList reference containing information from the SCCP level

inline DataBlock& msgData () | ### msgData

Get the TCAP message data

Returns: DataBlock representing the encoded TCAP message

inline bool& isNotice () | ### isNotice

Is this message a notice or a normal message?

Returns: True if message is a notice, false otherwise

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.